orte/mca/soh/bproc/soh_bproc.h File Reference.TH "orte/mca/soh/bproc/soh_bproc.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/soh/bproc/soh_bproc.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include <sys/bproc.h>\fP
.br
\fC#include 'mca/soh/soh.h'\fP
.br
\fC#include 'opal/event/event.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_SOH_BPROC_NODE_STATUS\fP   'orte-node-bproc-status'"
.br
.RI "\fIBproc node registry keys. \fP"
.ti -1c
.RI "#define \fBORTE_SOH_BPROC_NODE_MODE\fP   'orte-node-bproc-mode'"
.br
.ti -1c
.RI "#define \fBORTE_SOH_BPROC_NODE_USER\fP   'orte-node-bproc-user'"
.br
.ti -1c
.RI "#define \fBORTE_SOH_BPROC_NODE_GROUP\fP   'orte-node-bproc-group'"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef orte_soh_bproc_component_t \fBorte_soh_bproc_component_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_soh_bproc_module_init\fP (void)"
.br
.RI "\fIModule init/fini. \fP"
.ti -1c
.RI "int \fBorte_soh_bproc_module_finalize\fP (void)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_COMP_EXPORT orte_soh_base_module_t \fBorte_soh_bproc_module\fP"
.br
.ti -1c
.RI "OMPI_COMP_EXPORT orte_soh_bproc_component_t \fBmca_soh_bproc_component\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
